Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
ezpKernelResult Class Reference
Inheritance diagram for ezpKernelResult:

## Public Member Functions
| __construct ( $content=null, array $defaultAttributes=array())
| setContent ( $content)
| getContent ()
| setAttribute ( $name, $value)
| getAttribute ( $name, $defaultValue=null)
| hasAttribute ( $name)
| getAttributes ()
| setAttributes (array $attributes)
| replaceAttributes (array $attributes)

## Private Attributes
| $content
| $attributes

## Detailed Description

File containing the ezpKernelResult class.

Copyright
  Copyright (C) eZ Systems AS. All rights reserved. @license For full copyright and license information view LICENSE file distributed with this source code.

Version
  //autogentag// Struct containing the kernel result.

Definition at line 14 of file ezpkernelresult.php.

## Constructor & Destructor Documentation

## ◆ __construct()

ezpKernelResult::__construct | ( |  | $content = `null`,
|  | array | $defaultAttributes = `array()`
| ) |  |

Parameters

  string | $content | The result's main content
  array | $defaultAttributes |

Definition at line 34 of file ezpkernelresult.php.

References $content.

## Member Function Documentation

## ◆ getAttribute()

ezpKernelResult::getAttribute | ( |  | $name,
|  |  | $defaultValue = `null`
| ) |  |

Parameters

  string | $name |
  mixed | $defaultValue | Default value to return if the attribute doesn't exist.

Returns
  mixed

Definition at line 76 of file ezpkernelresult.php.

References $name.

## ◆ getAttributes()

ezpKernelResult::getAttributes | ( |  | ) |

Returns all the attributes

Returns
  array

Definition at line 97 of file ezpkernelresult.php.

References $attributes.

## ◆ getContent()

ezpKernelResult::getContent | ( |  | ) |

Returns the result's main content.

Returns
  string

Definition at line 55 of file ezpkernelresult.php.

References $content.

## ◆ hasAttribute()

ezpKernelResult::hasAttribute | ( |  | $name | ) |

Checks if $name attribute is present

Parameters

  string | $name |

Returns
  bool

Definition at line 87 of file ezpkernelresult.php.

References $name.

## ◆ replaceAttributes()

ezpKernelResult::replaceAttributes | ( | array | $attributes | ) |

Replaces internal attributes entirely.

Parameters

  array | $attributes |

Definition at line 117 of file ezpkernelresult.php.

References $attributes.

## ◆ setAttribute()

ezpKernelResult::setAttribute | ( |  | $name,
|  |  | $value
| ) |  |

Sets an attribute

Parameters

  string | $name |
  mixed | $value |

Definition at line 66 of file ezpkernelresult.php.

References $name.

## ◆ setAttributes()

ezpKernelResult::setAttributes | ( | array | $attributes | ) |

Sets multiple attributes at once. Internal ones that are not inside $attributes won't be overridden.

Parameters

  array | $attributes |

Definition at line 107 of file ezpkernelresult.php.

References $attributes.

## ◆ setContent()

ezpKernelResult::setContent | ( |  | $content | ) |

Sets the main content.

Parameters

  string | $content |

Definition at line 45 of file ezpkernelresult.php.

References $content.

## Member Data Documentation

## ◆ $attributes

ezpKernelResult::$attributes
| private

Definition at line 28 of file ezpkernelresult.php.

Referenced by getAttributes(), replaceAttributes(), and setAttributes().

## ◆ $content

ezpKernelResult::$content
| private

Definition at line 21 of file ezpkernelresult.php.

Referenced by __construct(), ezpKernelRedirect\__construct(), getContent(), and setContent().

The documentation for this class was generated from the following file:

- ezpkernelresult.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.